let data = {
    routerData: [],
    inpatientListQueryCriteria: {}, // 住院患者列表查询条件
    CORDefaultValue: {}, // 综合验光室默认数据
    DynamicRenderingForm_drawerVisible: false, // 动态表单
    DynamicRenderingForm_diffActive: '', // 动态表单 - 对比差异弹窗选中状态
    outPatientDefaultValue: {}, // 门诊医生站 - 医生诊室
};

export default function headerRedux(state = data, action) {
    if (action.type === 'routerData') {
        return {
            ...state,
            routerData: action.value
        }
    } else if (action.type === 'inpatientListQueryCriteria') {
        return {
            ...state,
            inpatientListQueryCriteria: action.value
        }
    } else if (action.type === 'CORDefaultValue') {
        return {
            ...state,
            CORDefaultValue: action.value
        }
    } else if (action.type === 'DynamicRenderingForm_drawerVisible') {
        return {
            ...state,
            DynamicRenderingForm_drawerVisible: action.value
        }
    } else if (action.type === 'DynamicRenderingForm_diffActive') {
        return {
            ...state,
            DynamicRenderingForm_diffActive: action.value
        }
    } else if (action.type === 'outPatientDefaultValue') {
        return {
            ...state,
            outPatientDefaultValue: action.value
        }
    } else {
        return state;
    }
}